<template>
  <header class="header fixed-top">
    <div class="feed bg-primary">
      <b-container>
        <div class="d-flex align-items-center justify-content-between">
          <div class="feed__left text-uppercase">
            <small class="d-block mr-4">{{ $t('installment.title') }}</small>
            <span class="badge badge-warning badge-feed text-dark align-self-stretch d-flex align-items-center px-3">
              {{ $t('installment.button') }}
            </span>
          </div>
          <div class="feed__right">
            <b-img src="~/static/images/charity.png" :alt="websiteName" class="mr-2" />
            <small class="d-block text-uppercase">
              {{ $t('charity') }}
            </small>
          </div>
        </div>
      </b-container>
    </div>
    <b-navbar type="light" class="shadow-lg">
      <b-container>
        <b-navbar-brand :to="localePath({ name: 'index' })">
          <b-img src="~/static/images/logo1.svg" fluid :alt="websiteName" class="p-2" />
        </b-navbar-brand>

        <b-navbar-toggle target="nav-collapse" />

        <b-collapse id="nav-collapse" is-nav>
          <b-navbar-nav class="ml-auto">
            <b-nav-item :href="socials.whatsapp" class="d-flex align-items-center">
              <b-img src="~/static/icons/whatsapp.svg" alt="Whatsapp" class="header__whatsapp" />
            </b-nav-item>
            <b-nav-item :href="'tel:' + phone" class="d-flex align-items-center">
              {{ phone }}
            </b-nav-item>
            <b-nav-item-dropdown text="Lang" class="nav-item--circled position-relative ml-2 ml-md-4">
              <template v-slot:button-content>
                <div class="d-block">
                  <b-img :src="localeData[currentLocale].icon" fluid alt="currentLocale" class="mr-md-2" />
                </div>
                <span class="d-none d-md-block">{{ getName(currentLocale) }}</span>
              </template>
              <b-dropdown-item
                v-for="item in availableLocales"
                :key="item.code"
                :active="item.code === currentLocale"
                :to="switchLocalePath(item.code)"
              >
                <b-img :src="localeData[item.code].icon" fluid :alt="item.code" class="mr-2" />
                {{ item.name }}
              </b-dropdown-item>
            </b-nav-item-dropdown>

            <b-nav-item
              href="/cart"
              class="nav-item--circled position-relative ml-2 ml-md-4"
              :link-classes="'text-primary'"
              :to="localePath({ name: 'cart' })"
            >
              <span class="d-none d-md-block">{{ $t('cart.name') }}</span>
              <div class="cart">
                <client-only><span v-if="cartItemQuantity">{{ cartItemQuantity }}</span></client-only>
                <b-img src="~/static/icons/shopping-cart.svg" fluid alt="Shopping cart" class="ml-md-2" />
              </div>
            </b-nav-item>
          </b-navbar-nav>
        </b-collapse>
      </b-container>
    </b-navbar>
  </header>
</template>

<script>
import { mapGetters } from 'vuex'
import ru from '@/static/icons/russia.svg'
import kk from '@/static/icons/kazakhstan.svg'


export default {
  name: 'AppHeader',
  data () {
    return {
      localeData: {
        ru: {
          icon: ru
        },
        kk: {
          icon: kk
        }
      }
    }
  },
  computed: {
    ...mapGetters({
      websiteName: 'settings/getWebsiteName',
      phone: 'settings/getPhone',
      cartItemQuantity: 'cart/getTotalItemQuantity',
      socials: 'settings/getSocials'
    }),
    availableLocales () {
      return this.$i18n.locales
    },
    currentLocale () {
      return this.$i18n.locale
    }
  },
  methods: {
    getName (lang) {
      return this.availableLocales.find(item => item.code === lang).name
    }
  }
}
</script>
